GET

/api/v1/smart_trades/:id

Permission: SMART_TRADES_READSecurity: SIGNED

Shows comprehensive information about a specific SmartTrade using its unique ID.

See complete data model and attribute definitions in the SmartTrade Entity documentation.
SmartTrade Entity

Path Parameter

idinteger required

Unique Quentrade ID for this SmartTrade entity.

Response Parameters

If successful, the response includes a full copy of the SmartTrade entity.

Example Request

GET/api/v1/smart_trades/:id

Example Responses

Returns HTTP 200 OK with the SmartTrade entity payload, or 400 Bad Request on invalid ID.

get_smart_trade_200.json
200 OK
{
  "id": 30404547,
  "version": 2,
  "account": {
    "id": 32402783,
    "type": "binance_us",
    "name": "My Binance US",
    "market": "Binance US Spot",
    "link": "/accounts/32402783"
  },
  "pair": "USDT_DOGE",
  "instant": false,
  "status": {
    "type": "cancelled",
    "basic_type": "cancelled",
    "title": "Cancelled"
  },
  "leverage": {
    "enabled": false
  },
  "position": {
    "type": "buy",
    "editable": false,
    "units": {
      "value": "14.91",
      "editable": false
    },
    "price": {
      "value": "0.10622",
      "value_without_commission": "0.10559",
      "editable": false
    },
    "total": {
      "value": "1.58385"
    },
    "order_type": "market",
    "status": {
      "type": "finished",
      "basic_type": "finished",
      "title": "Finished"
    }
  },
  "take_profit": {
    "enabled": true,
    "price_type": "value",
    "steps": []
  },
  "stop_loss": {
    "enabled": false
  },
  "reduce_funds": {
    "steps": []
  },
  "market_close": {},
  "note": "",
  "note_raw": null,
  "skip_enter_step": false,
  "data": {
    "editable": false,
    "current_price": {
      "bid": "0.10701",
      "ask": "0.10717",
      "last": "0.10704",
      "quote_volume": "173476.71714",
      "day_change_percent": "2.45"
    },
    "target_price_type": "price",
    "orderbook_price_currency": "USDT",
    "base_order_finished": true,
    "missing_funds_to_close": "0.0",
    "liquidation_price": null,
    "average_enter_price": "0.10622",
    "average_close_price": null,
    "average_enter_price_without_commission": "0.10559",
    "average_close_price_without_commission": null,
    "panic_sell_available": false,
    "add_funds_available": false,
    "reduce_funds_available": false,
    "force_start_available": false,
    "force_process_available": false,
    "cancel_available": false,
    "finished": false,
    "base_position_step_finished": true,
    "entered_amount": "14.91",
    "entered_total": "1.58385",
    "closed_amount": "0.0",
    "closed_total": "0.0",
    "commission": 0.001,
    "created_at": "2024-08-12T14:35:21.632Z",
    "updated_at": "2024-08-12T14:47:43.782Z",
    "closed_at": "2024-08-12T14:47:43.777Z",
    "type": "smart_trade"
  },
  "profit": {
    "volume": null,
    "usd": null,
    "percent": "0.0",
    "roe": null
  },
  "margin": {
    "amount": null,
    "total": null
  },
  "is_position_not_filled": false
}